Passer au contenu principal
POST
/
creation
/
exercice
/
unique
POST ExerciceUniqueView
curl --request POST \
  --url https://dev.api.formapulse.formafoot.fr/creation/exercice/unique \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'nom=<string>' \
  --form 'type=<string>' \
  --form 'categorie=<string>' \
  --form 'description=<string>' \
  --form 'lien_youtube=<string>' \
  --form 'muscle=<string>' \
  --form 'zone=<string>' \
  --form 'materiel=<string>' \
  --form is_test=false \
  --form 'structure_json={}'
{}

Documentation Index

Fetch the complete documentation index at: https://formapulse.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Autorisations

Authorization
string
header
requis

Token JWT prefixe par 'JWT '. Exemple : Authorization: JWT eyJ0eXAiOi.... Token obtenu via POST /auth/jwt/create (djoser).

Corps

multipart/form-data

POST /exercices (multipart : image + video dans request.FILES).

nom
string
requis
Maximum string length: 255
type
string
requis
Maximum string length: 20
categorie
string
requis
Maximum string length: 100
description
string | null
Maximum string length: 1000
lien_youtube
string | null

URL http ou https

Pattern: ^https?://[^\s]+$
muscle
string | null
Maximum string length: 100
zone
string | null
Maximum string length: 100
materiel
string | null
Maximum string length: 100
is_test
boolean
défaut:false
structure_json

Réponse

Reponse de succes

The response is of type object.